%global _empty_manifest_terminate_build 0
Name:		python-jupyter-events
Version:	0.9.0
Release:	1
Summary:	An event system for Jupyter Applications and extensions.
License:	BSD-3-Clause
URL:		https://github.com/jupyter/jupyter_events
Source0:	https://files.pythonhosted.org/packages/55/36/c65c02b5cedd8f326453dd958f299bfb030609f016d4354217a95d5190e1/jupyter_events-0.9.0.tar.gz
BuildArch:	noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling

%description
An event system for Jupyter Applications and extensions.

%package -n python3-jupyter-events
Summary:	An event system for Jupyter Applications and extensions.
Provides:	python-jupyter-events
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-hatchling
%description -n python3-jupyter-events
An event system for Jupyter Applications and extensions.

%package help
Summary:	Development documents and examples for jupyter event.
Provides:	python3-jupyter-events-doc

%description help
Development documents and examples for jupyter event.

%prep
%autosetup -n jupyter_events-%{version}

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-jupyter-events
%doc README.md
%license LICENSE
%{_bindir}/jupyter-events
%{python3_sitelib}/jupyter_events
%{python3_sitelib}/jupyter_events*.dist-info/


%files help
%{_docdir}/*

%changelog
* Wed Mar 6 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 0.9.0-1
- Update package with version 0.9.0
  Clean up linting and fix a bug that was found
  Adopt ruff format
  Normalize "jsonschema[format-nongpl]" in pyproject.toml

* Wed Nov 1 2023 Dongxing Wang <dxwangk@isoftstone.com> - 0.8.0-1
- Init package.
